GStarCAD - Programa de dibujo CAD desde USD700 http://www.construaprende.com/ingsoftwa ... inoamerica

ayuda en AUTOLISP porfavor :)

Foro AutoCAD.
Reglas del Foro
No se Permite Publicar correos para solicitar informacion, todo se debe manejar dentro del foro para que se comparta con todos, ademas de que no es seguro publicar emails en los foros, porque estos son detectados por programas que envian SPAM o Correo Basura
Responder

Topic author
Rodrigote92
Usuario Principiante
Usuario Principiante
Mensajes: 6
Registrado: Jue Abr 16, 2009 12:53 pm

#1

Mar Oct 26, 2010 9:59 am

Compañeros , espero que anden bien en todo, este es mi primer tema y es acerca de la programacion en AUTOLISP, se que nos facilita el trabajo .

QUIERO SU AYUDA, YA QUE QUISIERA DOCUMENTAR(saber cual es la funcion de cada "linea" de este programa") por ejemplo :

(DEFUN C:cpe ) es el nombre del programa que pondre, pero quisiera ke me aclaren las demas lineas de este programita en AUTOLISP

GRACIAS DE ANTEMANO,
Rodrigo Ticona Gonzales


Inserta cotas en las curvas de nivel a partir de su elevación


(defun c:cpe (/ P VAL scl)
(setvar "cmdecho" 0)
(command "_wipeout" "_f" "_off")

(if (null escala)(setq escala 1))
(setq scl (getreal (strcat "\nIngrese la escala de la cota <" (rtos escala 2 3) ">: ")))
(if (null scl)(setq scl escala))
(setq escala scl)

(setq om (getvar "osmode"))
(setvar "osmode" 512)

(while
(setq p (getpoint"\nSeleccione un punto en la linea de contorno: "))
(setq val (rtos (nth 2 p) 2 3))
(if (wcmatch val "*.00*")
(progn
(setq val (rtos (nth 2 p) 2 0))
(command "_insert" "el_tag" p scl scl pause val)
)
(progn
(setq val (rtos (nth 2 p) 2 1))
(command "_insert" "el_tag2" p scl scl pause val)
)
)
)

(setvar "osmode" om)
(setvar "cmdecho" 1)
(princ)
)


(setvar "modemacro" "Rodrigo Ticona")

Vinculos Patrocinados:


mgf2004
Usuario Master Superior
Usuario Master Superior
Mensajes: 624
Registrado: Dom Abr 17, 2005 7:35 am
Ubicación: México
Agradecimiento recibido: 2 veces
México

#2

Mar Oct 26, 2010 4:05 pm

Aqui, my friend Jeff da una lección sobre tus dudas: http://www.jefferypsanders.com/autolispbeg.html
... y al final tira su "rollo" .... "make a donation".
.... Aqui tambien hay material de forista sobre lisp: http://www.hispacad.com/foro/index.php

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje

Volver a “AutoCAD”

  • Información